<template>
  <div class="exclu-section">
    <div class="info text--primary">
      <ProductLabel class="edito-label">
        {{ $t('album-section.exclu.title') }}
      </ProductLabel>
      <AppTitle class="title" :title="data.items[0].serieTitle" />
      <p class="content" v-html="synopsis"></p>
      <a :href="data.items[0].url">
        <AppButton :theme="btnTheme">
          {{ btnText }}
        </AppButton>
      </a>
    </div>
    <div class="img" :style="`background-image:url('${image}')`">
      <div class="mobile-title">{{ data.items[0].serieTitle }}</div>
    </div>
  </div>
</template>

<script>
import AppButton from '@/components/ui/AppButton'
import AppTitle from '@/components/ui/AppTitle'
import ProductLabel from '@/components/ui/ProductLabel'

export default {
  name: 'AlbumExcluSection',
  components: {
    AppButton,
    AppTitle,
    ProductLabel
  },
  props: {
    data: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/${this.data.items[0].modelName}/${this.data.items[0].id}.jpg`
    },
    btnTheme() {
      const abo = false // TODO

      return abo ? 'secondary' : ''
    },
    btnText() {
      if (this.data.items[0].btnText === null) {
        return this.$t('album-section.exclu.btn')
      }
      return this.data.items[0].btnText
    },
    synopsis() {
      if (this.data.items[0].synopsis.length > 250) {
        return this.data.items[0].synopsis.slice(0, 250) + '...'
      }
      return this.data.items[0].synopsis
    }
  }
}
</script>

<style lang="scss">
.exclu-section {
  display: flex;
  background: #f8f8f8;
  max-width: 1360px;
  margin: auto;
  margin-bottom: 36px;

  @media (max-width: 768px) {
    position: relative;
    flex-direction: column-reverse;
  }

  .info {
    flex: 1;
    padding: 2rem;

    .title {
      margin-top: 1.5rem;
      margin-bottom: 1rem;
    }

    .content {
      margin-bottom: 1rem;
    }

    @media (max-width: 768px) {
      .edito-label {
        z-index: 1;
        position: absolute;
        left: 0;
        top: 1rem;
      }

      .title {
        display: none;
      }
    }
  }
  .img {
    flex: 1;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;

    .mobile-title {
      display: none;
    }

    @media (max-width: 768px) {
      position: relative;
      min-height: 320px;

      .mobile-title {
        position: absolute;
        display: block;
        left: 0;
        bottom: 0;
        width: 100%;
        background-color: rgba(39, 38, 38, 0.5);
        color: #fff;
        text-align: center;
        font-size: 32px;
        font-weight: bold;
        font-family: DINCond-Bold;
        padding: 1rem;
      }
    }
  }
}
</style>
